Package org.apache.sling.feature.io.archive

# Interface ArchiveReader.ArtifactConsumer

Enclosing class:
  `ArchiveReader`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface ArchiveReader.ArtifactConsumer

## Method Summary

Modifier and Type
Method
Description
`void`
`consume(ArtifactId artifactId, InputStream is)`
Consume the artifact from the archive The input stream must not be closed by the consumer.

## Method Details

### consume

void consume(ArtifactId artifactId, InputStream is) throws IOException
Consume the artifact from the archive The input stream must not be closed by the consumer.

Parameters:
  `artifactId` - The artifact id
  `is` - The input stream for the artifact
Throws:
  `IOException` - If the artifact can't be consumed